%{?nodejs_find_provides_and_requires}

Name:           nodejs-object-keys
Version:        1.0.11
Release:        1%{?dist}
Summary:        An Object.keys replacement, in case Object.keys is not available

License:        MIT
URL:            https://github.com/ljharb/object-keys
Source0:        https://github.com/ljharb/object-keys/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Patch out indexof as node doesn't need it and it is missing
# license text and has no clear upstream
Patch0:         nodejs-object-keys-indexof.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(is)
BuildRequires:  npm(tape)


%description
%{summary}.


%prep
%setup -q -n object-keys-%{version}
%patch0 -p1
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/object-keys
cp -pr package.json index.js isArguments.js %{buildroot}%{nodejs_sitelib}/object-keys
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} test/index.js


%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/object-keys


%changelog
* Wed Jul  6 2016 Tom Hughes <tom@compton.nu> - 1.0.11-1
- Update to 1.0.11 upstream release

* Tue Jul  5 2016 Tom Hughes <tom@compton.nu> - 1.0.10-1
- Update to 1.0.10 upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 22 2015 Tom Hughes <tom@compton.nu> - 1.0.9-1
- Initial build of 1.0.9
